
ALTER TABLE adherent DISABLE CONSTRAINT adherent_ins_fkey;

INSERT INTO adherent VALUES(1,1,'DURANT','Michel','VANNES');
INSERT INTO adherent VALUES(2,2,'DUPONT','Jacques','LORIENT');
INSERT INTO adherent VALUES(3,1,'DELMAS','Christian','BREHANT');
INSERT INTO adherent VALUES(4,2,'MARTIN','Eric','PONTIVY');
INSERT INTO adherent VALUES(5,NULL,'DUBOIS','Emmanuel','VANNES');
INSERT INTO adherent VALUES(6,NULL,'DUBOIS','Michel','VANNES');
 
INSERT INTO instructeur VALUES(1,5,12000);
INSERT INTO instructeur VALUES(2,6,4000);

ALTER TABLE adherent ENABLE CONSTRAINT adherent_ins_fkey;
/*
Si la contrainte adherent_ins_fkey est INITIALLY DEFERRED DEFERRABLE, 
INSERT INTO adherent VALUES(1,1,'DURANT','Michel','VANNES');
... 
INSERT INTO instructeur VALUES(1,5,12000);
...
COMMIT;

Si la contrainte adherent_ins_fkey est INITIALLY IMMEDIATE DEFERRABLE, 
SET CONSTRAINTS ALL DEFERRED;
INSERT INTO adherent VALUES(1,1,'DURANT','Michel','VANNES');
... 
INSERT INTO instructeur VALUES(1,5,12000);
...
COMMIT;

*/

INSERT INTO type_engin VALUES('Cessna 152',2,118,495);
INSERT INTO type_engin VALUES('Piper Archer',4,180,800);
INSERT INTO type_engin VALUES('Piper Arrow',4,200,1100);
INSERT INTO type_engin VALUES('Piper Cadet PA28',4,160,700);
INSERT INTO type_engin VALUES('Robin DR 400',2,120,600);
INSERT INTO type_engin VALUES('Robin MAJOR',4,160,700);

/*
On peut viter la fonction TO_DATE par :
ALTER SESSION SET NLS_DATE_FORMAT='DD-MM-YYYY';
*/
INSERT INTO avion VALUES('F BOER','Robin MAJOR',1988,'H1',TO_DATE('03 10 1990 12:00:00 AM','DD MM YYYY HH:MI:SS AM'));
INSERT INTO avion VALUES('F CHCC','Piper Archer',1991,'H2',TO_DATE('02 09 1989 12:00:00 AM','DD MM YYYY HH:MI:SS AM'));
INSERT INTO avion VALUES('F GAQO','Robin DR 400',1976,'H1',TO_DATE('02 09 1989 12:00:00 AM','DD MM YYYY HH:MI:SS AM'));
INSERT INTO avion VALUES('F GBOY','Robin DR 400',1979,'H2',TO_DATE('09 12 2000 12:00:00 AM','DD MM YYYY HH:MI:SS AM'));
INSERT INTO avion VALUES('F GBTK','Cessna 152',1980,'H1',TO_DATE('10 11 1989 12:00:00 AM','DD MM YYYY HH:MI:SS AM'));
INSERT INTO avion VALUES('F GDTZ','Robin MAJOR',1989,'H2',TO_DATE('03 08 1988 12:00:00 AM','DD MM YYYY HH:MI:SS AM'));
INSERT INTO avion VALUES('F GFIZ','Cessna 152',1979,'H1',TO_DATE('04 02 1999 12:00:00 AM','DD MM YYYY HH:MI:SS AM'));
INSERT INTO avion VALUES('F GGOB','Piper Cadet PA28',1990,'H2',TO_DATE('09 03 1989 12:00:00 AM','DD MM YYYY HH:MI:SS AM'));
INSERT INTO avion VALUES('F GGOD','Robin MAJOR',1988,'H1',TO_DATE('08 04 1989 12:00:00 AM','DD MM YYYY HH:MI:SS AM'));
INSERT INTO avion VALUES('F GGOK','Piper Cadet PA28',1990,'H1',TO_DATE('09 05 1990 12:00:00 AM','DD MM YYYY HH:MI:SS AM'));
INSERT INTO avion VALUES('F GPFA','Piper Arrow',1999,'H1',TO_DATE('10 06 1991 12:00:00 AM','DD MM YYYY HH:MI:SS AM'));
INSERT INTO avion VALUES('F PGRG','Piper Archer',1994,'H1',TO_DATE('11 02 1995 12:00:00 AM','DD MM YYYY HH:MI:SS AM'));

INSERT INTO est_autonome_pour VALUES(1,'Cessna 152');
INSERT INTO est_autonome_pour VALUES(5,'Cessna 152');
INSERT INTO est_autonome_pour VALUES(5,'Piper Archer');
INSERT INTO est_autonome_pour VALUES(5,'Piper Arrow');
INSERT INTO est_autonome_pour VALUES(5,'Piper Cadet PA28');
INSERT INTO est_autonome_pour VALUES(5,'Robin MAJOR');
INSERT INTO est_autonome_pour VALUES(6,'Robin MAJOR');
INSERT INTO est_autonome_pour VALUES(6,'Robin DR 400');
INSERT INTO est_autonome_pour VALUES(3,'Robin MAJOR');

INSERT INTO est_qualifie_pour VALUES(1,'Cessna 152');
INSERT INTO est_qualifie_pour VALUES(1,'Piper Archer');
INSERT INTO est_qualifie_pour VALUES(1,'Piper Arrow');
INSERT INTO est_qualifie_pour VALUES(1,'Piper Cadet PA28');
INSERT INTO est_qualifie_pour VALUES(2,'Robin DR 400');
INSERT INTO est_qualifie_pour VALUES(2,'Robin MAJOR');
INSERT INTO est_qualifie_pour VALUES(1,'Robin MAJOR');


INSERT INTO vol VALUES(23,1,1,'F BOER',TO_DATE('08 01 2001 12:00:00 AM','DD MM YYYY HH:MI:SS AM'),2);
INSERT INTO vol VALUES(1,1,1,'F GAQO',TO_DATE('03 01 2001 12:00:00 AM','DD MM YYYY HH:MI:SS AM'),2);
INSERT INTO vol VALUES(2,2,1,'F GBOY',TO_DATE('04 01 2001 12:00:00 AM','DD MM YYYY HH:MI:SS AM'),1);
INSERT INTO vol VALUES(3,2,1,'F GFIZ',TO_DATE('05 01 2001 12:00:00 AM','DD MM YYYY HH:MI:SS AM'),2);
INSERT INTO vol VALUES(4,1,1,'F GBTK',TO_DATE('06 01 2001 12:00:00 AM','DD MM YYYY HH:MI:SS AM'),3);
INSERT INTO vol VALUES(5,NULL,1,'F GGOD',TO_DATE('07 01 2001 12:00:00 AM','DD MM YYYY HH:MI:SS AM'),1);
INSERT INTO vol VALUES(6,2,1,'F BOER',TO_DATE('08 01 2001 12:00:00 AM','DD MM YYYY HH:MI:SS AM'),2);
INSERT INTO vol VALUES(7,2,1,'F GDTZ',TO_DATE('09 01 2001 12:00:00 AM','DD MM YYYY HH:MI:SS AM'),2);
INSERT INTO vol VALUES(8,NULL,1,'F CHCC',TO_DATE('03 12 1999 12:00:00 AM','DD MM YYYY HH:MI:SS AM'),5);
INSERT INTO vol VALUES(9,2,1,'F GGOB',TO_DATE('05 12 1999 12:00:00 AM','DD MM YYYY HH:MI:SS AM'),3);
INSERT INTO vol VALUES(10,2,1,'F GGOK',TO_DATE('06 12 1999 12:00:00 AM','DD MM YYYY HH:MI:SS AM'),2);
INSERT INTO vol VALUES(11,NULL,1,'F GPFA',TO_DATE('06 12 1999 12:00:00 AM','DD MM YYYY HH:MI:SS AM'),1);
INSERT INTO vol VALUES(12,1,1,'F PGRG',TO_DATE('07 12 1999 12:00:00 AM','DD MM YYYY HH:MI:SS AM'),3);
INSERT INTO vol VALUES(13,1,2,'F GFIZ',TO_DATE('01 02 2000 12:00:00 AM','DD MM YYYY HH:MI:SS AM'),2);
INSERT INTO vol VALUES(14,2,2,'F CHCC',TO_DATE('03 03 2000 12:00:00 AM','DD MM YYYY HH:MI:SS AM'),4);
INSERT INTO vol VALUES(15,NULL,2,'F PGRG',TO_DATE('04 03 2000 12:00:00 AM','DD MM YYYY HH:MI:SS AM'),1);
INSERT INTO vol VALUES(16,2,2,'F PGRG',TO_DATE('05 03 2000 12:00:00 AM','DD MM YYYY HH:MI:SS AM'),3);
INSERT INTO vol VALUES(17,NULL,2,'F GGOK',TO_DATE('06 03 2000 12:00:00 AM','DD MM YYYY HH:MI:SS AM'),2);
INSERT INTO vol VALUES(18,1,2,'F GBOY',TO_DATE('07 03 2000 12:00:00 AM','DD MM YYYY HH:MI:SS AM'),1);
INSERT INTO vol VALUES(19,2,3,'F BOER',TO_DATE('08 03 2000 12:00:00 AM','DD MM YYYY HH:MI:SS AM'),3);
INSERT INTO vol VALUES(20,2,3,'F BOER',TO_DATE('09 03 2000 12:00:00 AM','DD MM YYYY HH:MI:SS AM'),2);
INSERT INTO vol VALUES(21,2,2,'F GDTZ',TO_DATE('11 04 2000 12:00:00 AM','DD MM YYYY HH:MI:SS AM'),5);
INSERT INTO vol VALUES(22,2,4,'F GFIZ',TO_DATE('26 01 2001 12:00:00 AM','DD MM YYYY HH:MI:SS AM'),2);
